#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	Locale
%define		pnam	US
Summary:	Two letter codes for state identification in the United States and vice versa
Summary(pl.UTF-8):	Dwuliterowe kody do identyfikacji stanów w USA
Name:		perl-Locale-US
Version:	3.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Locale/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	20e475b152decc459d5b736dc6964b65
URL:		https://metacpan.org/release/Locale-US
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.30
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Data-Section-Simple
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This distribution contains a module which can be used to process USPS
two letter codes for states in the United States and surrounding
territories.

%description -l pl.UTF-8
Ten pakiet zawiera moduł służący do przetwarzania dwuliterowych kodów
USPS dla stanów USA i otaczających terytoriów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Locale/US.pm
%{perl_vendorlib}/Locale/kruft2codes.pl
%{_mandir}/man3/Locale::US.3pm*
%changelog
* Thu Oct 08 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Locale-US.git;a=log;h=master

* Wed Oct 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 2e463d6
- updated to 3.04

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> ae8f62a
- drop obsolete and outdated manual inclusion of rpm macros

* Fri Nov 29 2013 Jan Rękorajski <baggins@pld-linux.org> 2cd3ecb
- release 2 (by relup.sh)

* Wed May 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 7c55d65
- updated to 2.112150

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> e31944d
- License is same as perl

* Mon Sep 07 2009 amateja <amateja@pld-linux.org> 4807e7a
- release 2

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 7655f40
- up to 1.2

* Mon Jul 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 17b2beb
- pl
- License is not specified

* Thu Jul 12 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> b47426b
- new

